Bug 47431 - New port: www/p5-Apache-ConfigFile
Summary: New port: www/p5-Apache-ConfigFile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-24 11:00 UTC by Erwin Lansing
Modified: 2003-02-04 11:28 UTC (History)
0 users

See Also:


Attachments
p5-Apache-ConfigFile.sh (2.56 KB, text/plain)
2003-01-24 11:00 UTC, Erwin Lansing
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erwin Lansing 2003-01-24 11:00:16 UTC
New port: p5-Apache-ConfigFile

This module parses the Apache httpd.conf, or any compatible
config file, and provides methods for you to access the
values from the config file.
Comment 1 corecode@corecode.ath.cx 2003-01-24 23:15:57 UTC
Lately Erwin Lansing told:

> sed 's/^X//' >p5-Apache-ConfigFile/pkg-comment << 'END-of-p5-Apache-ConfigFile/pkg-comment'
> XApache::ConfigFile - Parse Apache style httpd.conf configuration files
   ^^^^^^^^^^^^^^^^^^^^^
IMO don't need that. pkg_info shows the PKGNAME anyways

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 corecode@corecode.ath.cx 2003-01-25 00:01:54 UTC
Lately Erwin Lansing told:

> sed 's/^X//' >p5-Apache-ConfigFile/pkg-comment << 'END-of-p5-Apache-ConfigFile/pkg-comment'
> XApache::ConfigFile - Parse Apache style httpd.conf configuration files
   ^^^^^^^^^^^^^^^^^^^^^
IMO don't need that. pkg_info shows the PKGNAME anyways

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Erwin Lansing 2003-01-25 00:52:09 UTC
On Sat, Jan 25, 2003 at 01:01:54AM +0100, Simon 'corecode' Schubert wrote:
> Lately Erwin Lansing told:
> 
> > sed 's/^X//' >p5-Apache-ConfigFile/pkg-comment << 'END-of-p5-Apache-ConfigFile/pkg-comment'
> > XApache::ConfigFile - Parse Apache style httpd.conf configuration files
>    ^^^^^^^^^^^^^^^^^^^^^
> IMO don't need that. pkg_info shows the PKGNAME anyways
> 

It's a kind of default in most perl port, so I keep up with the
tradition. Except for that, I agree.

Cheers,
-erwin


-- 
                    _._     _,-'""`-._
Erwin Lansing      (,-.`._,'(       |\`-/|    http://droso.org/
erwin@lansing.dk       `-.-' \ )-`( , o o)    http://fnidder.dk/
                    -bf-      `-    \`_`"'-
Comment 4 Edwin Groothuis freebsd_committer 2003-02-04 11:28:41 UTC
State Changed
From-To: open->closed

Commited, thanks!